// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef TESTTRACE_CLASSES_PACKAGE_A1_PACKAGE_G1_G1_H
#define TESTTRACE_CLASSES_PACKAGE_A1_PACKAGE_G1_G1_H

/************************************************************
 G1 class header
 ************************************************************/

#include "TestTrace/Classes/Package_A1/Package_G1/Pkg_Package_G1.h"

// derived using directives

namespace TestTrace {
namespace Classes {
namespace Package_A1 {
namespace Package_G1 {

/************************************************************/
/**
 * 
 */
class G1 {
public:

	/**
	 * 
	 */
	void g1_activity_1();

	/**
	 * 
	 */
	G1();

	/**
	 * 
	 */
	~G1();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Package_G1
} // of namespace Package_A1
} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of G1 class header
 ************************************************************/

#endif
